Bug 807849 - ATI ES1000: llvmpipe very slow. adding 'noaccel' improves
ATI ES1000: llvmpipe very slow. adding 'noaccel' improves
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 18:14 EDT by Bill Nottingham
Modified: 2014-03-16 23:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:10:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (60.72 KB, text/plain)
2012-03-28 18:15 EDT, Bill Nottingham
no flags Details
X log (w/o NoAccel) (42.97 KB, text/plain)
2012-03-28 18:15 EDT, Bill Nottingham
no flags Details
X log (w/ NoAccel) (41.87 KB, text/plain)
2012-03-28 18:16 EDT, Bill Nottingham
no flags Details
opreport -g -l (456.59 KB, text/plain)
2012-03-29 09:33 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2012-03-28 18:14:31 EDT
Description of problem:

Box is:
2 x Quad-Core AMD Opteron(tm) Processor 8350
8G mem
00:04.0 VGA compatible controller: ATI Technologies Inc ES1000 (rev 02)

llvmpipe is really really slow. Typing in a gnome-terminal has a .5 - 1 second delay before displaying the characters typed.

Adding a foo.conf of:

Section "Device"
	Identifier "radeon"
	Driver "radeon"
	Option "NoAccel"
EndSection

makes it bearable but still slower than I would think it should be - it certainly should have the horsepower to keep up.

Version-Release number of selected component (if applicable):

kernel-3.3.0-5.fc17.x86_64
xorg-x11-server-Xorg-1.12.0-2.fc17.x86_64
xorg-x11-drv-ati-6.14.3-11.20120206git36c190671.fc17.x86_64

How reproducible:

100%

Steps to Reproduce:
1. boot live cd, or installed system
  
Actual results:

Egads, it's slow.
Comment 1 Bill Nottingham 2012-03-28 18:15:30 EDT
Created attachment 573483 [details]
dmesg
Comment 2 Bill Nottingham 2012-03-28 18:15:59 EDT
Created attachment 573484 [details]
X log (w/o NoAccel)
Comment 3 Bill Nottingham 2012-03-28 18:16:38 EDT
Created attachment 573485 [details]
X log (w/ NoAccel)
Comment 4 Bill Nottingham 2012-03-29 09:33:20 EDT
Created attachment 573672 [details]
opreport -g -l
Comment 5 Bill Nottingham 2012-03-30 13:27:11 EDT
Visual (sorry about the shakycam and the format):
   http://notting.fedorapeople.org/slowness.mp4
Comment 6 Bill Nottingham 2012-03-30 13:58:21 EDT
Some more opreport samples:

CPU: AMD64 family10, speed 2e+06 MHz (estimated)
Counted CPU_CLK_UNHALTED events (Cycles outside of halt state) with a unit mask of 0x00 (No unit mask) count 100000
samples  %        linenr info                 image name               app name                 symbol name
849371   38.8647  (no location information)   anon (tgid:16225 range:0x7fb0f92e1000-0x7fb0f9361000) gnome-shell              anon (tgid:16225 range:0x7fb0f92e1000-0x7fb0f9361000)
100958    4.6195  (no location information)   anon (tgid:3964 range:0x7f86e6aa3000-0x7f86e6b23000) gnome-shell              anon (tgid:3964 range:0x7f86e6aa3000-0x7f86e6b23000)
72647     3.3241  (no location information)   anon (tgid:3381 range:0x7fa99df39000-0x7fa99dfb9000) gnome-shell              anon (tgid:3381 range:0x7fa99df39000-0x7fa99dfb9000)
69023     3.1583  lp_tile_soa.c:213           swrast_dri.so            swrast_dri.so            lp_tile_b8g8r8x8_unorm_swizzle_4ub_sse2
55333     2.5319  lp_rast.c:213               swrast_dri.so            swrast_dri.so            lp_rast_clear_zstencil
52478     2.4012  copy_user_64.S:240          vmlinux                  vmlinux                  copy_user_generic_string
51615     2.3617  lp_tile_soa.c:245           swrast_dri.so            swrast_dri.so            lp_tile_b8g8r8x8_unorm_unswizzle_4ub_sse2
41992     1.9214  (no location information)   ld-2.15.so               ld-2.15.s
o               do_lookup_x
40851     1.8692  (no location information)   libglib-2.0.so.0.3120.0  libglib-2.0.so.0.3120.0  /usr/lib64/libglib-2.0.so.0.3120.0
34372     1.5728  (no location information)   libc-2.15.so             libc-2.15.so             __memcpy_sse2
34191     1.5645  lp_rast.c:334               swrast_dri.so            swrast_dri.so            lp_rast_shade_tile
31590     1.4455  (no location information)   libpixman-1.so.0.24.4    libpixman-1.so.0.24.4    /usr/lib64/libpixman-1.so.0.24.4
31458     1.4394  (no location information)   libLLVM-3.0.so           libLLVM-3.0.so           /usr/lib64/llvm/libLLVM-3.0.so
29161     1.3343  fbblt.c:60                  libfb.so                 libfb.so                 fbBlt
28643     1.3106  (no location information)   libmozjs185.so.1.0.0     libmozjs185.so.1.0.0     /usr/lib64/libmozjs185.so.1.0.0
27679     1.2665  (no location information)   libgobject-2.0.so.0.3120.0 libgobject-2.0.so.0.3120.0 /usr/lib64/libgobject-2.0.so.0.3120.0
23805     1.0892  (no location information)   libgnome-shell.so        libgnome-shell.so        /usr/lib64/gnome-shell/libgnome-shell.so
Comment 7 Fedora End Of Life 2013-07-03 18:56:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 21:10:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.